Package org.apache.commons.math3.util

# Enum MathArrays.Position

java.lang.Object
java.lang.Enum<MathArrays.Position>
org.apache.commons.math3.util.MathArrays.Position

All Implemented Interfaces:
  `Serializable`, `Comparable<MathArrays.Position>`, `java.lang.constant.Constable`

Enclosing class:
  `MathArrays`

public static enum MathArrays.Position extends Enum<MathArrays.Position>
Specification for indicating that some operation applies before or after a given index.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HEAD`
Designates the beginning of the array (near index 0).
`TAIL`
Designates the end of the array.

## Method Summary

Modifier and Type
Method
Description
`static MathArrays.Position`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MathArrays.Position[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HEAD

public static final MathArrays.Position HEAD
Designates the beginning of the array (near index 0).

### TAIL

public static final MathArrays.Position TAIL
Designates the end of the array.

## Method Details

### values

public static MathArrays.Position[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MathArrays.Position valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null